#region using
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
#endregion

namespace LLNet.Tienda.MainForms.Forms
{
    public partial class frmOrderDetail : GUI.FormBases.frmBase
    {
        #region Constructor

        public frmOrderDetail()
        {
            InitializeComponent();
            GUI.CApp.TraducirForm(this);
        }

        #endregion

        #region Metodos

        public void Init()
        {
            ctlMaster1.DataSource = Program.FrmMainPos.DsPedido;
            ctlDetail1.DataSource = Program.FrmMainPos.DsPedido;
            ctlAddSkus1.OnAdding += new CancelEventHandler(ctlAddSkus1_OnAdding);
            ctlAddSkus1.OnAdded += new EventHandler(ctlAddSkus1_OnAdded);
        }

        #endregion

        #region Eventos

        private void ctlAddSkus1_OnAdding(object sender, CancelEventArgs e)
        
        {
            if (Program.FrmMainPos.btnRefunds.ButtonStyle == DevExpress.XtraEditors.Controls.BorderStyles.Simple)
            {
                Dialogs.Refunds.dlgRefundInvoice dlg = new LLNet.Tienda.Dialogs.Refunds.dlgRefundInvoice();
                if (dlg != null)
                {
                    dlg.Producto = ctlAddSkus1.txtSku.Text;
                    dlg.Cantidad = decimal.Parse(ctlAddSkus1.txtCantidad.Text);

                    dlg.ValidaCombo();

                    if (!dlg.isInvalid)
                    {
                        dlg.ShowDialog();

                        if (dlg.DialogResult != DialogResult.OK)
                        {
                            e.Cancel = true;
                            return;
                        }

                        if (dlg.Documento == 0)
                            ctlAddSkus1.Documento = null;
                        else
                            ctlAddSkus1.Documento = dlg.Documento;

                        if (dlg.Linea == 0)
                            ctlAddSkus1.Linea = null;
                        else
                            ctlAddSkus1.Linea = dlg.Linea;

                        ctlAddSkus1.PrecioUnitario = dlg.PrecioUnitario;
                        ctlAddSkus1.Impuesto = dlg.Impuesto;
                        ctlAddSkus1.Descuento = dlg.Descuento;
                        ctlAddSkus1.Usuario = dlg.Vendedor;
                        ctlAddSkus1.Vale = dlg.Vale;

                        ctlAddSkus1.Entrega = dlg.Entrega;
                        ctlAddSkus1.Direccion = dlg.Direccion;
                        ctlAddSkus1.Region = dlg.Region;
                        ctlAddSkus1.Bodega = dlg.Bodega;
                        ctlAddSkus1.Bodega2 = dlg.Bodega2;

                        ctlAddSkus1.Usuario1 = dlg.Usuario1;
                        ctlAddSkus1.Usuario2 = dlg.Usuario2;
                        ctlAddSkus1.Usuario3 = dlg.Usuario3;

                        ctlAddSkus1.Porcentaje1 = dlg.Porcentaje1;
                        ctlAddSkus1.Porcentaje2 = dlg.Porcentaje2;
                        ctlAddSkus1.Porcentaje3 = dlg.Porcentaje3;

                        ctlAddSkus1.MotivoDevolucion = dlg.MotivoDevolucion;

                        ctlAddSkus1.DocumentoPTS = dlg.Documento;
                    }
                    else
                        e.Cancel = true;
                }
                else
                    e.Cancel = true; 
            }
        }

        void ctlAddSkus1_OnAdded(object sender, EventArgs e)
        {
        }

        #endregion

        private void ctlAddSkus1_Load(object sender, EventArgs e)
        {

        }

    }
}